c1=[0, 0.4470, 0.7410];
c2=[0.8500, 0.3250, 0.0980];
c3=[0.89, 0.706, 0.106];
c4=[0.4940, 0.1840, 0.5560];
c5=[0.4660, 0.6740, 0.1880];

p_mainOut=p_mainOut-p_mainOut(1);
p_ctrl=p_ctrl-p_ctrl(1);
figure
ax(1)=subplot(4,1,1);
plot(t, pset, 'k-', 'LineWidth', 1.5);
grid on
hold on
plot(t, pfb, '-', 'Color', c1,'LineWidth', 1.5);
xlabel("t (s)");
ylabel("p (bar rel)");
ylim([0,0.2])
legend("p tank set","Exp1 p tank")

ax(2)=subplot(4,1,2);
plot(t, bitget(v_code, 1), 'LineWidth', 1.5);
grid on
hold on
plot(t, bitget(v_code, 2), 'LineWidth', 1.5);
plot(t, bitget(v_code, 3), 'LineWidth', 1.5);
plot(t, bitget(v_code, 4), 'LineWidth', 1.5);
xlabel("t (s)");
ylabel("valve state");
legend("Main In Valve","Main Out Valve","Ctrl In Valve", "Ctrl Out Valve");

ax(3)=subplot(4,1,3);
plot(t, p_mainIn, '-', 'Color', c1, 'LineWidth', 1.5);
grid on
hold on
plot(t, p_mainOut, '-', 'Color', c2, 'LineWidth', 1.5);
plot(t, p_ctrl, '-', 'Color', c3, 'LineWidth', 1.5);
xlabel("t (s)");
ylabel("p (bar rel)");
legend("Exp1 Input","Exp1 Output","Exp1 Ctrl");

ax(4)=subplot(4,1,4);
plot(t, flow, '-', 'Color', c1, 'LineWidth', 1.5);
grid on
hold on
xlabel("t (s)");
ylabel("Q (sl/min)");
ylim([-0.005, 0.3])
linkaxes(ax, "x");